// naumann@stce.rwth-aachen.de

#include <fstream> 
#include <cassert> 
#include <vector> 

template<typename T>
void read_data(std::ifstream& in, T &p, std::vector<T> &x, std::vector<T> &y) {
  in >> p; size_t m=0; in >> m; 
  for (size_t i=0;i<m;i++) {
    T aux; 
    in >> aux; x.push_back(aux);
    in >> aux; y.push_back(aux);
  }
}

template<typename T>
void write_data(std::ofstream& out, const T &p, const std::vector<T> &x, const std::vector<T> &y) {
  assert(x.size()==y.size());
  out << p << std::endl << x.size() << std::endl; 
  for (size_t i=0;i<x.size();i++) 
    out << x[i] << " " << y[i] << std::endl;
}
