// naumann@stce.rwth-aachen.de

#include "error.hpp"

#include <cmath> 
#include <vector> 

template<typename T>
T estimate(T p, const std::vector<T> &x, const std::vector<T> &y, const T& eps) {
  while (fabs(d_error(p,x,y))>eps) 
    p-=d_error(p,x,y)/dd_error(p,x,y);
  return p;
}

#include "error.cpp"
